import startAction from './start';
import { addCard, getCardLevel, getOpeMemberCardUrl, openCard, getMemberInfo, customerCheck, getCardTemplateId } from './member';
import { getFormConfigDetail, saveFormData } from './form';
import { onResume } from './resume';
import * as launch from './launch';

export default {
  // 页面启动组件数据加载
  ...startAction,
  // start,
  // 开卡
  addCard,
  openCard,
  customerCheck,
  getCardTemplateId,
  // 获取会员信息
  getMemberInfo,
  getOpeMemberCardUrl,
  getCardLevel,
  // 获取表单信息
  getFormConfigDetail,
  saveFormData,
  // 重新进入页面
  onResume,
  ...launch,
};
