const getMoneyTipText = ({ deliveryCost = 0, packingFee = 0 }) => {
  if (!deliveryCost && !packingFee) {
    return '';
  }
  const deliveryCostText = deliveryCost ? `另需配送费￥${deliveryCost}` : '';
  const packingFeeText = packingFee ? `(含打包费￥${packingFee})` : '';
  return `${packingFeeText}${deliveryCostText}`;
};

export default {
  getMoneyTipText,
};
