const getTypeName = (opts = [], type, defaultName) => {
  let name = defaultName || '全部类型';
  for (let i = 0; i < opts.length; i++) {
    const item = opts[i];
    if (item.value === type) {
      name = item.label;
      break;
    }
  }
  return name;
};



const getTime = (timeStart, timeEnd) => {
  return [timeStart, timeEnd].filter(v => !!v)
    .join('至') || '全部时间';
};
export default {
  getTypeName,
  getTime,
};
