import request from "../../service/request";

/*
 * 获取科室下面的号码列表
 * @param depId string 科室id
 * */

export const getDepOrderSourceRemain = (params) => {
	const url = "/isvRequest.order.depOrderSourceRemain";
	return request.post(url, params);
};
/*
 * 获取医生列表
 * @param depId String 科室id
 * @param date String查询日期
 * @param pageIndex页码
 * @param pageSize 页条数
 * */

export const getDepDoctorList = (params) => {
	const url = "/isvRequest.order.depDoctorList";
	return request.post(url, params);
};
