import history from "../../../utils/history";
Component({
	props: {
		item: {},
	},
	data: {},

	didMount() {},

	methods: {
		onTapItem() {
			const { recordId, status, type, cardNum, hisPatientId } = this.props.item;

			if (status === "未出报告") {
				return my.showToast({
					content: "未出报告 无法查看",
					duration: 1000,
				});
			}

			history.push({
				title: "报告详情",
				header: "none",
				query: {
					recordId,
					type,
					cardNum,
					hisPatientId,
				},
				pageType: "report-details-list",
			});
		},
	},
});
