/**
 * @author Jacker
 * @date 2021-07-20 17:50
 */
import request from "./request";
/* 获取就诊卡列表 */

export const getCardList = (params) => {
	const url = "/isvRequest.medicCard.queryList";
	return request.post(url, params);
}; // 预约详情

export function getBookingDetail(params) {
	const url = "/getBookingDetail";
	return request.post(url, params);
}
/* 获取就诊人列表 */

export const getPatientList = (params) => {
	const url = "/isvRequest.patient.queryList";
	return request.post(url, params);
};
/* 获取支付订单号, 挂号、充值类 */

export const tradeNoQuery = (params) => {
	const url = "/miniProRequest.pay.tradeNoQuery";
	return request.post(url, params);
};
/* 检查时间列表 */

export const getTestTimeList = (params) => {
	const url = "/isvRequest.nucleic.testTimeList";
	return request.post(url, params);
};
/* 检查时间列表 */

export const getQuestionnaire = (params) => {
	const url = "/isvRequest.nucleic.questionnaire";
	return request.post(url, params);
};
/* 检查时间列表 */

export const getItemList = (params) => {
	const url = "/isvRequest.nucleic.itemList";
	return request.post(url, params);
};
/* 检查时间列表 */

export const nucleicOrderConfirm = (params) => {
	const url = "/isvRequest.nucleic.orderConfirm";
	return request.post(url, params);
};
export const questionnaireResult = (params) => {
	const url = "/isvRequest.nucleic.questionnaireResult";
	return request.post(url, params);
};
/*
 * 通过服务码查询服务信息
 * @para code string
 * */

export const queryServiceByCode = (code) => {
	const url = "/api/v1/service/queryByCode";
	return request.get(url, {
		code,
	});
};
/*
 * 消息通知授权
 * */

export const noticeAuth = () => {
	const url = "/isvRequest.other.noticeAuth";
	return request.post(url);
};
/*
 * 商家支付订单号获取
 * */

export const tradeNoForOrder = (data) => {
	const url = "/miniProRequest.pay.tradeNoForOrder";
	return request.post(url, data);
};
/*
 * 支付结果通知
 * */

export const tradeResult = (data) => {
	const url = "/miniProRequest.pay.tradeResult";
	return request.post(url, data);
};
