import render from './../../utils/render.sjs';

function showPhoto(extInfo) {
  const { certShowPhoto = 'Y' } = extInfo || {};
  return certShowPhoto === 'Y';
}

function getCardIcon(extInfo, imgSrcPrefix) {
  const { imgUrl = '' } = extInfo || {};
  return render.getImageUrl(imgUrl, imgSrcPrefix);
}

export default {
  showPhoto,
  getCardIcon,
};
