// list: extInfo: {type: "actionPoint"}
const getPointList = (list = []) => {
  if (!list.length) {
    return [];
  }
  const resList = list.filter(v => {
    const {
      extInfo: { type = '' } = {},
    } = v || {};
    if (type === 'actionPoint') {
      return true;
    }
    return false;
  });
  return resList.slice(0, 3) || [];
};
export default {
  getPointList,
};
