import { connect } from 'herculex';

Component(connect({
  mapStateToProps: {
    isLoading: state => state.isLoading,
    errorCode: state => state.errorCode,
    errorType: state => state.errorType,
    errorMsg: state => state.errorMsg,
    errorBrief: state => state.errorBrief,
    operations: state => state.operations,
    phoneModalShow: state => state.phoneModal.show,
    loginModalShow: state => state.loginModal.show,
  },
})({
  props: {
    className: '', // 自定义样式
    disableScrol: false,
    style: '', // 自定义style
  },
  data: {
    LOADING_IMG: 'https://gw.alipayobjects.com/mdn/industry_lifee/afts/img/A*tlz_Qrsroi4AAAAAAAAAAABjAQAAAQ/original',
  },
  didMount() {
  },
  methods: {
    onReloadHandle() {
      const { onReloadHandle } = this.props;
      onReloadHandle && onReloadHandle();
    },
  },
}));

